%%
%%  nn_hit
%%
%
% Giocatore automatico di hit_the_target basato su
% predittore al primo vicino (1-nn).


POS_DATI = 'WEB';
%POS_DATI = 'FILE';
%POS_DATI = 'FILE_REG';

switch POS_DATI
  case 'WEB'
    % carica i dati delle corrispondenze trovare da web
    x = urlread('https://homes.di.unimi.it/ferrari/RetiNeurali_2017/files/hit_the_target_data.txt'); 
    train = sscanf(x, '%f', [4 inf])';
  case 'FILE'
    % carica i dati delle corrispondenze trovare da file locale
    train = load('data_cannone.txt');
  case 'FILE_REG'
    % carica i dati delle corrispondenze trovare da file locale
    train = load('data_cannone_reg.txt');
  otherwise
    disp('posizione dati sconosciuta');
end


angolo = input('angolo: ');
pos_X = input('pos X: ');
pos_Y = input('pos Y: ');

num_es = size(train,1);

distq = sum((train(:, 1:3)-ones(num_es, 1)*[angolo pos_X pos_Y]).^2,2);

[v p] = min(distq);

fprintf('velocita'': %f\n', train(p, 4));
