

POS_DATI = 'WEB';
%POS_DATI = 'FILE';
%POS_DATI = 'FILE_REG';


switch POS_DATI
  case 'WEB'
    % carica i dati delle corrispondenze trovate da web
    x = urlread('https://homes.di.unimi.it/ferrari/RetiNeurali_2017/files/hit_the_target_data.txt'); 
    M = sscanf(x, '%f', [4 inf])';
  case 'FILE'
    % carica i dati delle corrispondenze trovate da file locale
    M = load('data_cannone.txt');
  case 'FILE_REG'
    % carica i dati delle corrispondenze trovate da file locale
    M = load('data_cannone_reg.txt');
  otherwise
    disp('posizione dati sconosciuta');
end

v = M(:,4);
m = mean(v);
s = std(v);
ind = find(v > m+s);
M(ind,:) = [];
plot4d_to_color(M(:,1:3), M(:,4), 15);
xlabel('\theta', 'FontSize', 18);
ylabel('x', 'FontSize', 16);
zlabel('y', 'FontSize', 16, 'Rotation', 0);
title('(\theta, x, y) \rightarrow v_0', 'FontSize', 18);